<Serializable()> Public Class Circle
    Inherits GraphicBase


    Public Overrides Sub Draw(ByVal g As System.Drawing.Graphics, ByVal isPreview As Boolean)
        ' 描画する
        Dim rc As RectangleF = GetRectangleF()

        If isPreview Then
            ' プレビュー時
            g.DrawEllipse(PreviewPen, rc)
        Else
            ' 非プレビュー時
            If Not FillColor.IsEmpty() Then
                Dim b As New SolidBrush(FillColor)
                g.FillEllipse(b, rc)
                b.Dispose()
            End If
            If Not LineColor.IsEmpty() Then
                Dim p As New Pen(LineColor)
                g.DrawEllipse(p, rc)
                p.Dispose()
            End If
        End If
    End Sub

End Class
